## org.eclipse.wst.ws.service.policy.utils
Class RegistryUtils

    java.lang.Object
      org.eclipse.wst.ws.service.policy.utils.RegistryUtils

    public class RegistryUtils

extends java.lang.Object

This class is only intended for org.eclipse.wst.ws.service.policy.ui plugin to use. It contains convenience method for parsing the service policy extension point.

Constructor Summary
`RegistryUtils()`

Method Summary
`static java.lang.String` `getAttribute(org.eclipse.core.runtime.IConfigurationElement element, java.lang.String attribute)` Gets a attribute value where the attribute name is case insensitive.
`static java.lang.String` `getAttributeName(org.eclipse.core.runtime.IConfigurationElement element, java.lang.String attribute)` This method takes in a lower case attribute name.
`static org.eclipse.wst.ws.service.internal.policy.DescriptorImpl` `loadDescriptor(org.eclipse.core.runtime.IConfigurationElement element)` Loads the attributes for a descriptor element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryUtils

    public RegistryUtils()

Method Detail

### loadDescriptor

    public static org.eclipse.wst.ws.service.internal.policy.DescriptorImpl loadDescriptor(org.eclipse.core.runtime.IConfigurationElement element)

  Loads the attributes for a descriptor element.

  Parameters:
    `element` - the descriptor element
  Returns:
    returns the data for this element.

### getAttributeName

    public static java.lang.String getAttributeName(org.eclipse.core.runtime.IConfigurationElement element,
                                                    java.lang.String attribute)

  This method takes in a lower case attribute name. It will then return the same attribute name that includes potentially uppercase characters. This method allows clients to specify attribute names in a case insensitive fashion.

  Parameters:
    `element` - the element
    `attribute` - the attribute
  Returns:
    returns the lowercase attribute name.

### getAttribute

    public static java.lang.String getAttribute(org.eclipse.core.runtime.IConfigurationElement element,
                                                java.lang.String attribute)

  Gets a attribute value where the attribute name is case insensitive.

  Parameters:
    `element` - the element.
    `attribute` - the attribute to get.
  Returns:
    the value for this attribute or null if the attribute is not specified.